[Solved] XFCE on Debian 11 - Can't install software updates: "failed to obtain auth"


On a fresh install of Debian 11 with XFCE, installing software updates with Gnome-software results in the following error message:

gdbus error org.gtk gdbus unmapped GError Quark pk failed to obtain auth

Installing packages require a root password, but no prompt appears.
Indeed, XFCE is missing the package handling such interaction, PolicyKit.

Here is how to install it and solve this issue:

sudo apt install policykit-1 policykit-1-gnome

Credits: Zanna on StackExchange


Tags:

Related articles:


Comments: